# Class NavigationLocation

java.lang.Object
org.eclipse.ui.NavigationLocation

All Implemented Interfaces:
  `INavigationLocation`

Direct Known Subclasses:
  `TextSelectionNavigationLocation`

public abstract class NavigationLocation extends Object implements INavigationLocation
Default implementation of INavigationLocation.

Since:
  2.1

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NavigationLocation(IEditorPart editorPart)`
Constructs a NavigationLocation with its editor part.

## Method Summary

Modifier and Type
Method
Description
`void`
`dispose()`
May be extended by clients.
`protected IEditorPart`
`getEditorPart()`
Returns the part that the receiver holds the location for.
`String`
`getId()`
Returns the id used for this location.
`Object`
`getInput()`
Returns the input used for this location.
`String`
`getText()`
Returns the display name for this location.
`void`
`releaseState()`
May be extended by clients.
`void`
`setId(String id)`
Sets the location's id.
`void`
`setInput(Object input)`
Sets the location's input.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface INavigationLocation

`mergeInto, restoreLocation, restoreState, saveState, update`

## Constructor Details

### NavigationLocation

protected NavigationLocation(IEditorPart editorPart)
Constructs a NavigationLocation with its editor part.

Parameters:
  `editorPart` - the part

## Method Details

### getEditorPart

protected IEditorPart getEditorPart()
Returns the part that the receiver holds the location for.

Returns:
  IEditorPart

### getInput

public Object getInput()
Description copied from interface: `INavigationLocation`
Returns the input used for this location. Returns `null` if the receiver's state has been released.

Specified by:
  `getInput` in interface `INavigationLocation`
Returns:
  the input for this location

### getId

public String getId()
Description copied from interface: `INavigationLocation`
Returns the id used for this location.

Specified by:
  `getId` in interface `INavigationLocation`
Returns:
  the id for this location

### getText

public String getText()
Description copied from interface: `INavigationLocation`
Returns the display name for this location. This name is used in the navigation history list.

Specified by:
  `getText` in interface `INavigationLocation`
Returns:
  the display name

### setInput

public void setInput(Object input)
Description copied from interface: `INavigationLocation`
Sets the location's input.

Should not be called by clients.

Specified by:
  `setInput` in interface `INavigationLocation`
Parameters:
  `input` - the editor input.

### setId

public void setId(String id)
Description copied from interface: `INavigationLocation`
Sets the location's id.

Should not be called by clients.

Specified by:
  `setId` in interface `INavigationLocation`
Parameters:
  `id` - the editor id.

### dispose

public void dispose()
May be extended by clients.

Specified by:
  `dispose` in interface `INavigationLocation`
See Also:
  - `INavigationLocation.dispose()`

### releaseState

public void releaseState()
May be extended by clients.

Specified by:
  `releaseState` in interface `INavigationLocation`
See Also:
  - `INavigationLocation.releaseState()`